### Hierarchy

- CanvasFillStrokeStyles
  - CanvasRenderingContext2D

## Index

### Properties

- fillStyle
- strokeStyle

### Methods

- createLinearGradient
- createPattern
- createRadialGradient

## Properties

### fillStyle

fillStyle: string | CanvasGradient | CanvasPattern

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3015

### strokeStyle

strokeStyle: string | CanvasGradient | CanvasPattern

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3016

## Methods

### createLinearGradient

- createLinearGradient(x0: number, y0: number, x1: number, y1: number): CanvasGradient

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3017

  #### Parameters

  - ##### x0: number

  - ##### y0: number

  - ##### x1: number

  - ##### y1: number

  #### Returns CanvasGradient

### createPattern

- createPattern(image: CanvasImageSource, repetition: string): CanvasPattern | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3018

  #### Parameters

  - ##### image: CanvasImageSource

  - ##### repetition: string

  #### Returns CanvasPattern | null

### createRadialGradient

- createRadialGradient(x0: number, y0: number, r0: number, x1: number, y1: number, r1: number): CanvasGradient

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3019

  #### Parameters

  - ##### x0: number

  - ##### y0: number

  - ##### r0: number

  - ##### x1: number

  - ##### y1: number

  - ##### r1: number

  #### Returns CanvasGradient

Generated using TypeDoc